Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.fsa
Class NonDeterminizedState

    java.lang.Object
      com.saxonica.fsa.AutomatonState
          com.saxonica.fsa.NonDeterminizedState

    public class NonDeterminizedState

extends AutomatonState

A state in the non-determinized finite state machine

Field Summary

Fields inherited from class com.saxonica.fsa.AutomatonState
`EMPTY_EDGE_ARRAY`

Constructor Summary
`NonDeterminizedState(FiniteStateMachine machine)` Create a new state

Method Summary
`void` | `addLambdaTransition(AutomatonState newState)` Add a lambda transition from this state to another state.
`void` | `displayLambdaTransitions()`
`List` | `getLambdaTransitions()` Get the lambda transitions from this state

Methods inherited from class com.saxonica.fsa.AutomatonState
`addWildcardTransition, display, displayState, getEdges, getSpecificTransition, getTransition, getWildcardEdges, isFinalState, listAllowedElements, setFinalState`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonDeterminizedState

    public NonDeterminizedState(FiniteStateMachine machine)

  Create a new state

  Parameters:
    `machine` -

Method Detail

### addLambdaTransition

    public void addLambdaTransition(AutomatonState newState)

  Add a lambda transition from this state to another state. This is a transition that can take place when no symbol is read.

  Parameters:
    `newState` - the state that results from this event

### getLambdaTransitions

    public List getLambdaTransitions()

  Get the lambda transitions from this state

### displayLambdaTransitions

    public void displayLambdaTransitions()

  Overrides:
    `displayLambdaTransitions` in class `AutomatonState`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.